package es.rickyepoderi.samplejersey2;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

/**
 * <p>Simple WS class that say hello in several formats</p>
 * 
 * @author ricky
 */
@Path("/hello")
public class HelloWS {
    
    
    private HelloResponse sayHello(String name) {
        return new HelloResponse(name);
    }
    
    @GET
    @Path("/text/{name}")
    @Produces(MediaType.TEXT_PLAIN)
    public String world(@PathParam("name") String name) {
        return sayHello(name).toString();
    }

    @GET
    @Path("/xml/{name}")
    @Produces(MediaType.APPLICATION_XML)
    public HelloResponse xmlWorld(@PathParam("name") String name) {
        return sayHello(name);
    }

    @GET
    @Path("/json/{name}")
    @Produces(MediaType.APPLICATION_JSON)
    public HelloResponse jsonWorld(@PathParam("name") String name) {
        return sayHello(name);
    }
}
